*,
*::before,
*::after{
    box-sizing: border-box;
}

:root{
    --ff--primary:'Source Sans Pro', sans-serif ;
    --ff--secondary:'Source Code Pro', monospace ;

    --fw-reg: 300;
    --fw-bold: 900;

    --clr-light: #fff;
    --clr-dark: #303030;
    --clr-accent: #16e0bd;

    --fs-h1: 3rem;
    --fs-h2: 2.25rem;
    --fs-h3: 1.25rem;
    --fs-body: 1rem;
     
    --bs: 0.25em 0.25em 0.75em rgba(0,0,0,.25)
}

@media (min-width: 800px){
    :root{
        --fs-h1:4.5rem;
        --fs-h2:3.75rem;
        --fs-h3:1.5rem;
        --fs-body:1.125rem;

    }
}

/* General backgrounds*/

body{
    background: var(--clr-light);
    color:var(--clr-dark);
    margin:0;
    font-family: var(--ff--primary);
    font-size: var(--fs-body);
    line-height: 1.6;
}

section{
    padding: 5em 2em;
}

img{
    display: block;
    max-width: 100%;

}

strong{ font-weight: var(--fw-bold);}

:focus{
    outline: 3px solid var(--clr-accent);
    outline-offset: 3px;
}

/* buttons */

.btn{
    display: inline-block;
    padding: .5em 2.5em;
    background: var(--clr-accent);
    color: var(--clr-dark);
    text-decoration: none;
    cursor: pointer;
    font-size: .8rem;
    text-transform: uppercase ;
    letter-spacing:2px ;
    font-weight: var(--fw-bold);
    transition: transform 200ms ease-in-out;
}
.btn:hover{
     transform: scale(1.1);
}

/*typography*/
h1,
h2,
h3 {
    line-height: 1.1;
    margin: 0;

}

h1 {font-size: var(--fs-h1);}
h2 {font-size: var(--fs-h2);}
h3 {font-size: var(--fs-h3);}


.section__title{
margin-bottom: .25em;
}

.section__title--intro{
    font-weight: var(--fw-reg);
}
.section__title--intro strong{
    display: block;
}

.section__subtitle{
    margin: 0;
    font-size: var(--fs-h3);
}
.section__subtitle--intro,
.section__subtitle--about{
    background: var(--clr-accent);
    padding: 0.5em;
    font-family: var(--ff--secondary);
    margin-bottom: 1em;
}

/* header */
nav{display: none;}

/* intro  */

.intro{
    position: relative;
}

.intro__img{
    grid-row: 1/-1;
    grid-column: 2;
    position: relative;
    z-index: 2;
}
.section__subtitle--intro{
    display: inline-block ;
}

@media (min-width: 600px){
    .intro{
        display: grid;
        width: min-content;
        margin: 0 auto;
        grid-column-gap: 1em;
        grid-template-areas: "img title"
        "img subtitle";
        grid-template-columns: min-content max-content;
    }

    .intro__img{
        grid-area: img;
        max-width: 250px;
        
        min-width: 250px;
        position: relative;
        z-index: 2;
        box-shadow: var(--bs);
    }
    
    .section__subtitle--intro{
        align-self:start;
        grid-column: -1/1;
        grid-row: 2;
        text-align: right;
        position: relative;
        left: -1.5em;
        width: calc(100%+1.5em);
        display: inline-block;
    }
    
    
}
/* my qualificatons */
.my-quali{
     background-color: var(--clr-dark);
     background-size: cover;
     color: var(--clr-light);
     text-align: center;

}

.section__title--quali{
    color: var(--clr-accent);
    position: relative;
}

.section__title--quali::after{
    content: '';
    display: block;
    width: 3em;
    height: 1px;
    margin: 0.5em auto 1em;
    background-size: var(--clr-light);
    opacity: 0.25;
}

.quali{
    margin-bottom: 4em;
    text-align: center;
    text-shadow: 2em;
}
.quali{
    max-width: 500px;
    margin: 0 auto;
}

@media (min-width: 800px)
{
    .quali{
        display: flex;
        max-width: 1000px;
        margin-left: auto;
        margin-right: auto;

    }

    .quali + .quali{
        margin-left: 2em;
    }
}

.about-me{
    max-width: 1000px;
    margin: 0 auto;

}
.about-me__img{
    box-shadow: var(--bs);
}

@media (min-width: 600px){
    .about-me{
        display: grid;
        grid-template-columns: 1fr 200px;
        grid-template-areas:"title img"
        "subtitle img"
        "text img"
        ;
        grid-column-gap: 2em;

    }
    .section__title--about{
        grid-area: title;
    }
    .section__subtitle--about{
        grid-column: 1/-1;
        grid-row: 2;
        position: relative;
        left: -2em;
        width: calc(100%+4em);
        padding-left: 2em;
        padding-right: calc(200px+4em);
    }

    .about-me__img{
        grid-row: 1/-1;
        grid-column: 2;
        position: relative;
        z-index: 2;
    }


}

.footer
{
    background:var(--clr-dark);
    color: var(--clr-accent);
    text-align: center;
    padding: 2.5em 0;
    font-size: var(--fs-h3);

}
.footer a {
    color:inherit;
    text-decoration: none;
}

.footer__link{
    
    font-weight: var(--fw-bold);
}

.footer__link:hover,
.social-list__link:hover{
    opacity: .7;
}

.footer__link:hover{
    text-decoration: underline;
}

.social-list{
    list-style:none;
    display: flex;
    justify-content: center;
    margin: 2em 0;
    padding: 0;
    font-size: var(--fs-h2);
}

.social-list__item{
    margin: 0.5em;
}

.social-list__link{
    padding: .5em;
}
